Index: /palm/trunk/SOURCE/init_1d_model.f90
===================================================================
--- /palm/trunk/SOURCE/init_1d_model.f90	(revision 81)
+++ /palm/trunk/SOURCE/init_1d_model.f90	(revision 82)
@@ -4,5 +4,6 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Preprocessor strings for different linux clusters changed to "lc",
+! routine local_flush is used for buffer flushing
 !
 ! Former revisions:
@@ -770,11 +771,7 @@
        WRITE ( 15, 101 )  current_timestep_number_1d, simulated_time_chr, &
                           dt_1d, umax, vmax, us1d, alpha, energy
-#if defined( __ibm )
 !
 !--    Write buffer contents to disc immediately
-       CALL FLUSH_( 15 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-       CALL FLUSH( 15 )
-#endif
+       CALL local_flush( 15 )
 
     ENDIF
@@ -955,11 +952,7 @@
        WRITE ( 17, 101 )
 
-#if defined( __ibm )
 !
 !--    Write buffer contents to disc immediately
-       CALL FLUSH_( 17 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-       CALL FLUSH( 17 )
-#endif
+       CALL local_flush( 17 )
 
     ENDIF
Index: /palm/trunk/SOURCE/init_dvrp.f90
===================================================================
--- /palm/trunk/SOURCE/init_dvrp.f90	(revision 81)
+++ /palm/trunk/SOURCE/init_dvrp.f90	(revision 82)
@@ -3,5 +3,7 @@
 !------------------------------------------------------------------------------!
 ! Actual revisions:
-! ----------------- 
+! -----------------
+! Preprocessor strings for different linux clusters changed to "lc",
+! routine local_flush is used for buffer flushing
 ! Test output of isosurface on camera file
 ! TEST: print* statements
@@ -145,9 +147,5 @@
 
     WRITE ( 9, * ) '***  vor dvrp_output_rtsp'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
              dvrp_file   = TRIM( mode_dvrp(m) ) // '/camera.dvr'
@@ -157,9 +155,5 @@
                                     dvrp_file_c )
     WRITE ( 9, * ) '***  nach dvrp_output_rtsp'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -185,9 +179,5 @@
           CALL DVRP_CAMERA( m-1, center, distance )
     WRITE ( 9, * ) '***  #1'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 !
@@ -202,9 +192,5 @@
           CALL DVRP_EXIT( m-1 )
     WRITE ( 9, * ) '***  #2'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 
@@ -223,9 +209,5 @@
                                     dvrp_file_c )
     WRITE ( 9, * ) '***  #3'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -274,9 +256,5 @@
           CALL DVRP_MATERIAL_RGB( m-1, 1, 0.8, 0.7, 0.6, 0.0 )
     WRITE ( 9, * ) '***  #4'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 !
@@ -292,31 +270,15 @@
           ENDDO
     WRITE ( 9, * ) '***  #4.1'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
           CALL DVRP_DATA( m-1, local_pf, 1, nx_dvrp, ny_dvrp, nz_dvrp, &
                           cyclic_dvrp, cyclic_dvrp, cyclic_dvrp )
     WRITE ( 9, * ) '***  #4.2'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
           CALL DVRP_THRESHOLD( m-1, 1.0 )
     WRITE ( 9, * ) '***  #4.3'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
           CALL DVRP_VISUALIZE( m-1, 1, 0 )
     WRITE ( 9, * ) '***  #4.4'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
           DEALLOCATE( local_pf )
@@ -324,9 +286,5 @@
           CALL DVRP_EXIT( m-1 )
     WRITE ( 9, * ) '***  #5'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 !
@@ -344,9 +302,5 @@
                                     dvrp_file_c )
     WRITE ( 9, * ) '***  #6'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
           ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -395,9 +349,5 @@
           CALL DVRP_MATERIAL_RGB( m-1, 1, 0.0, 0.6, 0.0, 0.0 )
     WRITE ( 9, * ) '***  #7'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 !
@@ -416,9 +366,5 @@
           CALL DVRP_EXIT( m-1 )
     WRITE ( 9, * ) '***  #8'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
     
@@ -461,17 +407,9 @@
                 name_c = TRIM( do3d(0,vn) )
     WRITE ( 9, * ) '***  #9'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
                 CALL DVRP_STEERING_INIT( m-1, name_c, steering_dvrp(pn)%min, &
                                          steering_dvrp(pn)%max, threshold(tv) )
     WRITE ( 9, * ) '***  #10'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
              ELSEIF ( mode_dvrp(pn)(1:6) == 'slicer' )  THEN
@@ -517,9 +455,5 @@
 
     WRITE ( 9, * ) '***  #11'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
           dvrp_file = TRIM( mode_dvrp(m) ) // '/*****.dvr'
@@ -529,9 +463,5 @@
                                  dvrp_file_c )
     WRITE ( 9, * ) '***  #12'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
        ELSEIF ( dvrp_output == 'ftp' )  THEN
@@ -585,18 +515,10 @@
 !--    Define the grid used by dvrp
     WRITE ( 9, * ) '***  #13'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
        CALL DVRP_GRID( m-1, nx_dvrp, ny_dvrp, nz_dvrp, xcoor_dvrp, ycoor_dvrp, &
                        zcoor_dvrp )
     WRITE ( 9, * ) '***  #14'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 
@@ -631,46 +553,22 @@
 !-- Initialize logging of calls by DVRP graphic software
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_INIT'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
     CALL DVRP_LOG_INIT( 'DVRP_LOG' // CHAR( 0 ), 0 )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_INIT'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 !
 !-- User-defined logging events: #1 (total time needed by PALM)
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_SYMBOL'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
     CALL DVRP_LOG_SYMBOL( 1, 'PALM_total' // CHAR( 0 ) )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_SYMBOL'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
     CALL DVRP_LOG_SYMBOL( 2, 'PALM_timestep' // CHAR( 0 ) )
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_LOG_EVENT'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
     CALL DVRP_LOG_EVENT( 1, 1 )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_LOG_EVENT'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
 
 #if defined( __parallel )
@@ -681,16 +579,8 @@
        use_seperate_pe_for_dvrp_output = .TRUE.
     WRITE ( 9, * ) '*** myid=', myid, ' vor DVRP_SPLIT'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
        CALL DVRP_SPLIT( MPI_COMM_WORLD, comm_palm )
     WRITE ( 9, * ) '*** myid=', myid, ' nach DVRP_SPLIT'
-#if defined( __ibm )
-    CALL FLUSH_( 9 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-    CALL FLUSH( 9 )
-#endif
+    CALL local_flush( 9 )
        CALL MPI_COMM_SIZE( comm_palm, numprocs, ierr )
     ENDIF
Index: /palm/trunk/SOURCE/init_particles.f90
===================================================================
--- /palm/trunk/SOURCE/init_particles.f90	(revision 81)
+++ /palm/trunk/SOURCE/init_particles.f90	(revision 82)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Preprocessor directives for old systems removed
 !
 ! Former revisions:
@@ -59,13 +59,8 @@
 !
 !-- Define MPI derived datatype for FORTRAN datatype particle_type (see module
-!-- particle_attributes). Integer length is 4 byte, Real is 8 byte (=> total
-!-- length 100, nevertheless, 120 bytes are needed on T3E since integer seems
-!-- to be 8 bytes long there)
-    blocklengths(1)  = 19; blocklengths(2)  = 4; blocklengths(3)  =  1
-#if defined( __t3eb )
-    displacements(1) = 0; displacements(2) = 152; displacements(3) = 184
-#else
-    displacements(1) = 0; displacements(2) = 152; displacements(3) = 168
-#endif
+!-- particle_attributes). Integer length is 4 byte, Real is 8 byte
+    blocklengths(1)  = 19;  blocklengths(2)  =   4;  blocklengths(3)  =   1
+    displacements(1) =  0;  displacements(2) = 152;  displacements(3) = 168
+
     types(1) = MPI_REAL
     types(2) = MPI_INTEGER
Index: /palm/trunk/SOURCE/init_pegrid.f90
===================================================================
--- /palm/trunk/SOURCE/init_pegrid.f90	(revision 81)
+++ /palm/trunk/SOURCE/init_pegrid.f90	(revision 82)
@@ -4,5 +4,6 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Cpp-directive lcmuk changed to intel_openmp_bug, setting of host on lcmuk by
+! cpp-directive removed
 !
 ! Former revisions:
@@ -56,5 +57,5 @@
 !-- Get the number of OpenMP threads
     !$OMP PARALLEL
-#if defined( __lcmuk )
+#if defined( __intel_openmp_bug )
     threads_per_task = omp_get_num_threads()
 #else
@@ -72,7 +73,4 @@
 !--    Automatic determination of the topology
 !--    The default on SMP- and cluster-hosts is a 1d-decomposition along x
-#if defined( __lcmuk )
-       host = 'lcmuk'
-#endif
        IF ( host(1:3) == 'ibm'  .OR.  host(1:3) == 'nec'  .OR. &
             host(1:2) == 'lc'   .OR.  host(1:3) == 'dec' )  THEN
Index: /palm/trunk/SOURCE/local_flush.f90
===================================================================
--- /palm/trunk/SOURCE/local_flush.f90	(revision 82)
+++ /palm/trunk/SOURCE/local_flush.f90	(revision 82)
@@ -0,0 +1,27 @@
+ SUBROUTINE local_flush( file_id )
+
+!------------------------------------------------------------------------------!
+! Actual revisions:
+! -----------------
+! 
+!
+! Former revisions:
+! -----------------
+! $Id$
+! Initial revision (raasch 12/04/07)
+!
+!
+! Description:
+! ------------
+! Flush calls for different operating systems
+!------------------------------------------------------------------------------!
+
+    INTEGER ::  file_id
+
+#if defined( __ibm )
+    CALL FLUSH_( file_id )
+#elif defined( __lc )  ||  defined( __nec )
+    CALL FLUSH( file_id )
+#endif
+
+ END SUBROUTINE local_flush    
Index: /palm/trunk/SOURCE/local_getenv.f90
===================================================================
--- /palm/trunk/SOURCE/local_getenv.f90	(revision 81)
+++ /palm/trunk/SOURCE/local_getenv.f90	(revision 82)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Preprocessor directives for old systems removed
 !
 ! Former revisions:
@@ -29,18 +29,10 @@
     CHARACTER (LEN=*) ::  var, value
     INTEGER           ::  ivalue, ivar
-#if defined( __t3eb ) || defined( __t3eh ) || defined( __t3ej2 ) || defined( __t3ej5 )
-    INTEGER           ::  dummy
-#endif
 #if defined( __lcmuk )
     INTEGER            ::  i, ia(20)
 #endif
 
-#if defined( __t3eb ) || defined( __t3eh ) || defined( __t3ej2 ) || defined( __t3ej5 )
-    CALL PXFGETENV( var(1:ivar), ivar, value, ivalue, dummy )
-    IF ( ivalue == 0 )  value = ''
-#else
     CALL GETENV( var(1:ivar), value )
     ivalue = LEN_TRIM( value )
-#endif
 
 #if defined( __lcmuk )  &&  defined( __parallel )
Index: /palm/trunk/SOURCE/local_system.f90
===================================================================
--- /palm/trunk/SOURCE/local_system.f90	(revision 81)
+++ /palm/trunk/SOURCE/local_system.f90	(revision 82)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Preprocessor directives for old systems removed
 !
 ! Former revisions:
@@ -25,9 +25,5 @@
     CHARACTER (LEN=*) ::  command
 
-#if defined( __t3eb ) || defined( __t3eh ) || defined( __t3ej2 ) || defined( __t3ej5 )
-    CALL ISHELL( command )
-#else
     CALL SYSTEM( command )
-#endif
 
  END SUBROUTINE local_system    
Index: /palm/trunk/SOURCE/local_tremain.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain.f90	(revision 81)
+++ /palm/trunk/SOURCE/local_tremain.f90	(revision 82)
@@ -4,5 +4,6 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Preprocessor strings for different linux clusters changed to "lc",
+! preprocessor directives for old systems removed
 !
 ! Former revisions:
@@ -30,33 +31,19 @@
 
     REAL ::  remaining_time
-!#if defined( __vpp )
-!    REAL ::  cpu_time_used, rdum
-!#endif
 #if defined( __ibm )
     INTEGER(8) ::  IRTC
     REAL       ::  actual_wallclock_time
-#elif defined( __lctit )
+#elif defined( __lc )
     INTEGER    ::  count, count_rate
     REAL       ::  actual_wallclock_time
 #endif
 
-#if defined( __t3eh ) || defined( __t3eb ) || defined( __t3ej2 ) || defined( __t3ej5 )
+#if defined( __ibm )
 
-    CALL MPP_TREMAIN( remaining_time )
-
-!#elif defined( __vpp )
-!
-!    CALL CLOCKV( rdum, cpu_time_used, 0, 2 )
-!    remaining_time = maximum_cpu_time_allowed - cpu_time_used
-
-#elif defined( __ibm )
-
-!    CALL SYSTEM_CLOCK( count, count_rate )
-!    actual_wallclock_time = REAL( count ) / REAL( count_rate )
     actual_wallclock_time = IRTC( ) * 1E-9
     remaining_time = maximum_cpu_time_allowed - &
                      ( actual_wallclock_time - initial_wallclock_time )
 
-#elif defined( __lctit )
+#elif defined( __lc )
 
     CALL SYSTEM_CLOCK( count, count_rate )
Index: /palm/trunk/SOURCE/local_tremain_ini.f90
===================================================================
--- /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 81)
+++ /palm/trunk/SOURCE/local_tremain_ini.f90	(revision 82)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Cpp-directive lctit renamed lc
 !
 ! Former revisions:
@@ -33,5 +33,5 @@
     INTEGER            ::  idum
     INTEGER(8)         ::  IRTC
-#elif defined( __lctit )
+#elif defined( __lc )
     CHARACTER (LEN=10) ::  value_chr
     INTEGER            ::  idum
@@ -46,5 +46,5 @@
     initial_wallclock_time = IRTC( ) * 1E-9
 
-#elif defined( __lctit )
+#elif defined( __lc )
 
     CALL SYSTEM_CLOCK( count, count_rate )
Index: /palm/trunk/SOURCE/modules.f90
===================================================================
--- /palm/trunk/SOURCE/modules.f90	(revision 81)
+++ /palm/trunk/SOURCE/modules.f90	(revision 82)
@@ -5,5 +5,6 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +return_addres, return_username
+! Cpp-directive lcmuk renamed lc
 !
 ! Former revisions:
@@ -236,4 +237,5 @@
                             mixing_length_1d = 'as_in_3d_model', &
                             random_generator = 'numerical-recipes', &
+                            return_addres, return_username, &
                             timestep_scheme = 'runge-kutta-3'
     CHARACTER (LEN=40)  ::  avs_data_file, topography = 'flat'
@@ -879,7 +881,6 @@
 
 #if defined( __parallel )
-#if defined( __lcmuk )
+#if defined( __lc )
     USE MPI
-!    INCLUDE "mpif.h"
 #else
     INCLUDE "mpif.h"
Index: /palm/trunk/SOURCE/parin.f90
===================================================================
--- /palm/trunk/SOURCE/parin.f90	(revision 81)
+++ /palm/trunk/SOURCE/parin.f90	(revision 82)
@@ -4,5 +4,5 @@
 ! Actual revisions:
 ! -----------------
-! 
+! +return_addres, return_username, use_seperate_pe_for_dvrp_output in envpar
 !
 ! Former revisions:
@@ -121,6 +121,6 @@
 
 
-    NAMELIST /envpar/  host, maximum_cpu_time_allowed, revision, &
-                       run_identifier, tasks_per_node, write_binary
+    NAMELIST /envpar/  host, maximum_cpu_time_allowed, revision, return_addres, &
+                       return_username, run_identifier, tasks_per_node, write_binary
 
 
Index: /palm/trunk/SOURCE/poisfft.f90
===================================================================
--- /palm/trunk/SOURCE/poisfft.f90	(revision 81)
+++ /palm/trunk/SOURCE/poisfft.f90	(revision 82)
@@ -1345,5 +1345,5 @@
 !       tn = omp_get_thread_num()
 !       WRITE( 120+tn, * ) '+++ id=',myid,' nx=',nx,' thread=', omp_get_thread_num()
-!       CALL FLUSH_( 120+tn )
+!       CALL local_flush( 120+tn )
 !CDIR NOLOOPCHG
        DO  k = 0, nz-1
@@ -1354,5 +1354,5 @@
        ENDDO
 !       WRITE( 120+tn, * ) '+++ id=',myid,' end of first tridia loop   thread=', omp_get_thread_num()
-!       CALL FLUSH_( 120+tn )
+!       CALL local_flush( 120+tn )
 
        IF ( j <= nnyh )  THEN
Index: /palm/trunk/SOURCE/run_control.f90
===================================================================
--- /palm/trunk/SOURCE/run_control.f90	(revision 81)
+++ /palm/trunk/SOURCE/run_control.f90	(revision 82)
@@ -4,5 +4,6 @@
 ! Actual revisions:
 ! -----------------
-! 
+! Preprocessor strings for different linux clusters changed to "lc",
+! routine local_flush is used for buffer flushing
 !
 ! Former revisions:
@@ -89,11 +90,8 @@
                           advected_distance_x/1000.0,                          &
                           advected_distance_y/1000.0, mgcycles
-#if defined( __ibm )
 !
 !--    Write buffer contents to disc immediately
-       CALL FLUSH_( 15 )
-#elif defined( __lcmuk )  ||  defined( __lctit )  ||  defined( __nec )
-       CALL FLUSH( 15 )
-#endif
+       CALL local_flush( 15 )
+
     ENDIF
 !
